Subject: bug#15056: Please indicate the meaning of block sizes in filesystem information

From: Filipus Klutiero <[email-masked]>
Date: Fri, 09 Aug 2013 00:35:10 -0400

Severity: wishlist

stat -f provides information on the filesystem, including block sizes:
> Block size: 4096       Fundamental block size: 4096
The unit used in unfortunately not specified. Considering the fdisk output I get...
> Sector size (logical/physical): 512 bytes / 512 bytes
> I/O size (minimum/optimal): 512 bytes / 512 bytes
... I guess bits are the unit.

Note that the first measure ("Block size") is quite ambiguous. http://www.hitachi.co.jp/Prod/comp/soft1/manual/jp1en/d3R4900e/PCAU0135.HTM has some block size terminology which might help (if that's indeed the type of block we mean):
> The basic block size (FFBS: Fundamental Filesystem Block Size) used in the field table of this record is the allocation unit used during file system creation. The number of blocks that corresponds to the basic block size is called the /basic block count/. The logical block size (PFBS: Preferred Filesystem Block Size) is the allocation unit used during input/output operations. The number of blocks that corresponds to the logical block size is called the /logical block count/.
-- 
Filipus Klutiero
http://www.philippecloutier.com